<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddBillGenerateIdPaymentIdToSubResellerCommissionReference extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('sub_reseller_commission_reference', function (Blueprint $table) {
            $table->foreignId('bill_generate_id')->nullable();
            $table->foreignId('payment_id')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('sub_reseller_commission_reference', function (Blueprint $table) {
            $table->dropColumn('bill_generate_id');
            $table->dropColumn('payment_id');
        });
    }
}
